System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Flags

A can be applied to either an XML Web service method or a method of a proxy class to an XML Web service. In either case, the recipient(s) are specified by the property of . To specify that an XML Web service method returns a SOAP header when an exception is thrown during its execution, apply an to the method and set the property to .

Version 1.0 of the .NET Framework does not support the value.

Specifies whether the recipient of the is the XML Web service, the XML Web service client, or both.

- Field
  1.0.5000.0
  2.0.0.0
  System.Web.Services.Protocols.SoapHeaderDirection

  Specifies the is sent to the XML Web service client when an exception is thrown by the XML Web service method.

- Field
  System.Web.Services.Protocols.SoapHeaderDirection To be added

  Specifies the is sent to the XML Web service.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.Services.Protocols.SoapHeaderDirection To be added

  Specifies the is sent to both the XML Web service and the XML Web service client.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.Services.Protocols.SoapHeaderDirection To be added

  Specifies the is sent to the XML Web service client.

  1.0.5000.0
  2.0.0.0